from django.urls import path
from .views import MalwarePredictionAPIView,KNeighborsModelView, RandomForestModelView, XGBModelView, SGDModelView

urlpatterns = [
    path('predict-malware/', MalwarePredictionAPIView.as_view(), name='predict-malware'),
    path('api/knn-model/', KNeighborsModelView.as_view(), name='knn_model'),
    path('api/rf-model/', RandomForestModelView.as_view(), name='rf_model'),
    path('api/xgb-model/', XGBModelView.as_view(), name='xgb_model'),
    path('api/sgd-model/', SGDModelView.as_view(), name='sgd_model'),
]
